module "nextcloud_db" {
  source = "../../modules/db/mariadb"

  namespace = module.nextcloud.namespace
  app_name  = "nextcloud"

  app_password   = local.nextcloud_db_passwd
  root_password  = local.nextcloud_db_root_password
  retention_days = local.backup_retention_days
  cron_schedule  = local.backup_cron_schedule

  database_folder = local.nextcloud_db_path
  backup_folder   = local.backup_folder

  tls_enabled = true
  issuer      = local.internal_issuer
}
